.m-template-table {
  position: relative;
  z-index: 1;

  margin: 1.6rem 0 0 0;
  padding: 0 1.6rem;

  flex: 1;
  overflow: auto;

  background: #fff;
  border-radius: 1.2rem;
  box-shadow: 0 0.1rem 0.4rem rgba(115, 132, 152, 0.2);

  white-space: nowrap;

  table {
    thead {
      tr {
        position: relative;

        th {
          padding: 0.8rem !important;

          &:nth-child(1) {
            width: 4.5rem;
          }
          &:nth-child(2) {
            justify-content: flex-start;
            flex: 1;

            text-align: left;
          }
          &:nth-child(3) {
            width: 10%;
          }
          &:nth-child(4) {
            width: 10%;
          }
          &:nth-child(5) {
            width: 10%;
          }
          &:nth-child(6) {
            width: 10%;
          }
          &:nth-child(7) {
            width: 10%;
          }
          &:nth-child(8) {
            width: 10%;
          }
          &:nth-child(9) {
            width: 9rem;
          }
          &:nth-child(10) {
            width: 6rem;
          }
        }
      }
    }

    tbody {
      tr {
        position: relative;

        line-height: 1.4 !important;

        &:hover {
          .__action-group {
            opacity: 1;

            pointer-events: all;
          }
        }

        td {
          position: relative;

          padding: 0.8rem !important;

          &:nth-child(1) {
            width: 4.5rem;
          }
          &:nth-child(2) {
            justify-content: flex-start;
            flex: 1;

            text-align: left;
          }
          &:nth-child(3) {
            width: 10%;
          }
          &:nth-child(4) {
            width: 10%;
          }
          &:nth-child(5) {
            width: 10%;
          }
          &:nth-child(6) {
            width: 10%;
          }
          &:nth-child(7) {
            width: 10%;
          }
          &:nth-child(8) {
            width: 10%;
          }
          &:nth-child(9) {
            width: 9rem;
            text-align: left;
            .__elipsis {
              width: 100%;
              word-break: break-word;
            }
          }
          &:nth-child(10) {
            width: 6rem;
          }
          .__action-group {
            height: 100%;

            display: flex;
            align-items: center;
          }

          .__action-btn {
            width: 3.6rem;
            height: 3.6rem;
            margin: 0 0.4rem;
            padding: 0;

            display: flex;
            align-items: center;
            justify-content: center;

            background: transparent;
            border-radius: 1.2rem;

            transition: background 0.25s;

            &:hover {
              background: #e4e4f0;

              img {
                filter: unset;
                opacity: 1;
              }
            }

            img {
              width: 2rem;
              height: 2rem;

              object-fit: contain;
              object-position: center;

              filter: grayscale(1.3);
              opacity: 0.6;

              transition: all 0.25s;
            }
          }
        }
      }
    }
  }
}

.action-table-tooltip {
  padding: 0.5rem 0.8rem;

  background: rgba($color: #43439d, $alpha: 0.75);
  border-radius: 0.8rem;

  color: #fff;
  font-size: 1.2rem;
  font-weight: 500;
  line-height: 1.6rem;

  &:after {
    display: none;
  }
}
